Name:          python-html5lib
Version:       0.999
Release:       2mamba
Summary:       HTML parser based on the HTML5 specifcation
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           https://github.com/html5lib/html5lib-python
Source:        https://github.com/html5lib/html5lib-python.git/%{version}/html5lib-python-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
HTML parser based on the HTML5 specifcation.

%prep
%setup -q -n html5lib-python-%{version}

%if "%{?with_pyver}"
%pyver_package
%endif

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Mon Jun 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.999-2mamba
- rebuilt with -py3 package

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 0.999-1mamba
- automatic version update by autodist

* Mon Sep 30 2013 Automatic Build System <autodist@mambasoft.it> 0.99-1mamba
- update to 0.99

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.90-2mamba
- python 2.7 mass rebuild

* Tue Oct 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.90-1mamba
- package created by autospec
